$colors: (
    primary: #005DFF,
    primary__light: lighten(#005DFF, 40%),
    primary-dark: darken(#005DFF, 40%),
    accent:#FFF6BB,
    cells: aliceblue,
    bg: #FFF
    );

@function colors($color__name){
    @return map-get($colors, $color__name )
}

$borders: 15px;
$padding: 15px;
$desktop: 840px;

@mixin desktop {
    @media (min-width: #{$desktop}){
        @content;
    }
}
    
body, html{
    height: 100%;
}

body {
    font-family: 'Montserrat';
    margin: 0;
    #bg{
        
        clip-path: polygon(100% 0, 100% 82%, 45% 100%, 0 100%, 0 0);
        background-color:colors(primary);
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: -1;

        @include desktop{
            clip-path: polygon(0 0, 75% 0, 55% 100%, 0% 100%);
        }
    
    }
    header a{
        color: colors(bg);
        text-decoration: none;
        padding: $padding;
        display: block;
        text-transform: uppercase;

    }
}
main{
    @include desktop{
        display: grid;
        grid-template-columns: 50% auto;
        grid-template-areas: "primary card";
    }
}
.main__card{
    background: colors(bg);
    border-radius: $borders;
    margin: 1em auto;
    padding: $padding;
    box-shadow: 0 10px 30px rgba(0,0,0,.2);
    width: 80%;

    @include desktop{
        grid-area: card;
        height: fit-content;
        align-self: center;
        margin: 1em;
    }

    ul{
        list-style-type: none;
        margin: 0; padding: 0;

        li{
        margin-bottom: 10px;

            span{
                position: absolute;
                border-radius: 50%;
                margin-right: 10px;
                width: 30px;
                height: 30px;
                background-color: colors(primary__light);
            }
            strong{
                display: inline-block;
                margin-left: max(40px);
                margin-top: 10px;
            }
        }
    }
    
   
}

.primary{
    color: colors(bg);
    padding: $padding;
    text-align: center;

    @include desktop{
        grid-area: primary;
        text-align: left;
        margin: 4em 0 0 4em;

    }
}

.primary__h1{
    font-size: 3em;
    margin-top: 10px;
    text-transform: uppercase;
    line-height: 90%;

    @include desktop{
        width: 30%;
        font-size: 4em;

    }
}

.primary__p{
    font-size: 1.4em;
}

.primary__a{
    color: colors(primary-dark);
    border-radius: $borders;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: bold;
    background-color: colors(accent);
    display: block;
    text-align: center;
    margin: 50px auto 0 auto;
    padding: $padding;

    @include desktop{
        display: inline-block;
        padding: $padding $padding*4;
    }
}

